audit

GET /v1/audit

Read the organization's audit log.

모든 audit 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 키는 반드시 audit.read 권한을 가지고 있어야 하며, 권한이 없는 키는 404가 아닌 403으로 거부됩니다.

조직 ID가 들어가는 위치

이 엔드포인트는 org_id을(를) 쿼리 매개변수로 사용합니다. 생략하면 테넌트 하위 트리 전체가 호출 대상이 되며, 값을 전달하면 특정 조직으로 호출 범위를 좁힐 수 있습니다.

조직 ID는 대시보드의 API 키 화면에서 키 바로 옆에 있습니다. 이는 실행하는 모든 호출에서 동일한 ID입니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X GET https://api.zinndigital.com/v1/audit \
  -H "Authorization: Bearer zdk_live_…"

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Returns the append-only record of privileged actions taken in the tenant — including staff access — **newest first**, ordered by the sortable id, with older entries reachable by paging the cursor. (It described itself as `oldest → newest` until #462 made every collection newest-first: for an audit feed the answer to "what just happened here?" was on the last page.) The actor's IP is not exposed here (it is admin-console only). Requires `audit.read`.

매개변수

이름유형필수설명
cursor (query)string아니요Opaque cursor from a previous page's `page.next_cursor`.
limit (query)integer아니요Maximum items to return (page size).
org_id (query)Uuid아니요Restrict to one organization in scope (default — the whole subtree).
action (query)string아니요Filter to one action code (e.g. `apikey.created`).
actor (query)string아니요Filter to one actor (e.g. `user:0190…` or `apikey:0190…`).
since (query)string아니요Only entries at or after this ISO 8601 instant.

응답

이름유형필수설명
dataAuditEntry[]
pagePageMeta

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 422 · 429